---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 01
    LastMadeUpDate: 31/01/2025
    NextDueDate: 31/10/2026
  CompanyCategory: Private Limited Company
  CompanyName: OSCORP UK LIMITED
  CompanyNumber: 07897314
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 04/01/2012
  RegAddress:
    AddressLine1: OSBORNE HOUSE
    AddressLine2: 20 VICTORIA AVENUE
    PostTown: HARROGATE
    County: NORTH YORKSHIRE
    Postcode: HG1 5QY
  Returns:
    LastMadeUpDate: 19/06/2025
    NextDueDate: 03/07/2026
  SICCodes:
    SicText:
      - '68209 - Other letting and operating of own or leased real estate'
